pushd %~dp0
set OUPUTFOLDER=%USERPROFILE%\Documents\Avalanche Studios\thp\benchmarks

set OUTPUT_FILE=%OUPUTFOLDER%\run_0.7z

set SETTINGS_FLAGS=/graphics-preset=0 /vsync=0
call single_run.bat
set OUTPUT_FILE=%OUPUTFOLDER%\run_1.7z
set SETTINGS_FLAGS=/graphics-preset=1 /vsync=0
call single_run.bat
set OUTPUT_FILE=%OUPUTFOLDER%\run_2.7z
set SETTINGS_FLAGS=/graphics-preset=2 /vsync=0
call single_run.bat
set OUTPUT_FILE=%OUPUTFOLDER%\run_3.7z
set SETTINGS_FLAGS=/graphics-preset=3 /vsync=0
call single_run.bat

set OUTPUT_FILE=%OUPUTFOLDER%\run_0_vsync.7z
set SETTINGS_FLAGS=/graphics-preset=0 /vsync=1
call single_run.bat

set OUTPUT_FILE=%OUPUTFOLDER%\run_1_vsync.7z
set SETTINGS_FLAGS=/graphics-preset=1 /vsync=1
call single_run.bat

set OUTPUT_FILE=%OUPUTFOLDER%\run_2_vsync.7z
set SETTINGS_FLAGS=/graphics-preset=2 /vsync=1
call single_run.bat

set OUTPUT_FILE=%OUPUTFOLDER%\run_3_vsync.7z
set SETTINGS_FLAGS=/graphics-preset=3 /vsync=1
call single_run.bat

set OUTPUT_FILE=
set SETTINGS_FLAGS=
popd